cascading.flow

## Interface FlowDescriptors

-     public interface FlowDescriptors

  Constants to be used as key in `Flow.getFlowDescriptor()`.

  See also `FlowStepDescriptors`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DESCRIPTION` Briefly describes the current Flow *
    `static String` | `STATEMENT_TYPES` Denotes the type of statement in the current flow.
    `static String` | `STATEMENTS` Denotes a collection of statements like SQL or similar.
    `static String` | `VALUE_SEPARATOR` String that can be used as a record separator.

- - ### Field Detail

    - #### VALUE_SEPARATOR

          static final String VALUE_SEPARATOR

      String that can be used as a record separator.
      See Also:
        Constant Field Values

    - #### STATEMENTS

          static final String STATEMENTS

      Denotes a collection of statements like SQL or similar.
      See Also:
        Constant Field Values

    - #### STATEMENT_TYPES

          static final String STATEMENT_TYPES

      Denotes the type of statement in the current flow. e.g. SQL, Pig Latin etc.
      See Also:
        Constant Field Values

    - #### DESCRIPTION

          static final String DESCRIPTION

      Briefly describes the current Flow *
      See Also:
        Constant Field Values

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.